--[[

$Revision: 46 $

(C) Copyright 2009 Bethink (bethink at naef dot com)
See LICENSE.txt for license terms.

]]


----------------------------------------------------------------------
-- Initialization

BossNotesTactics = LibStub("AceAddon-3.0"):NewAddon("BossNotesTactics")
local L = LibStub("AceLocale-3.0"):GetLocale("BossNotes")
local T = LibStub("AceLocale-3.0"):GetLocale("BossNotesTactics")

	
----------------------------------------------------------------------
-- Constants

-- Provider name
BOSS_NOTES_TACTICS_PROVIDER = "TACTICS"


----------------------------------------------------------------------
-- Core handlers

-- One-time initialization
function BossNotesTactics:OnInitialize()
end

-- Handles the (re-)enabling of this add-on
function BossNotesTactics:OnEnable ()
	-- Register provider
	BossNotes:RegisterProvider(BOSS_NOTES_TACTICS_PROVIDER, {
		OnSources = function (instance, encounter) return self:OnSources(instance, encounter) end
	})
end

-- Handles the disabling of this add-on
function BossNotesTactics:OnDisable ()
	BossNotes:UnregisterProvider(BOSS_NOTES_TACTICS_PROVIDER)
end


----------------------------------------------------------------------
-- Event handlers

-- Returns the tactics note
function BossNotesTactics:OnSources (instance, encounter)
	local key = BossNotes:GetContextKey(instance, encounter)
	local content = T[key]
	if content == key then
		return nil
	end
	return {
		title = L["TACTICS"],
		content = content
	}
end
